package message

import "spaceofcheng/services/models/model"

// GetLocationList 获取列表
func (s *MessageServ) GetLocationList(issys, orgid string) ([]model.TdCmsImageLocation, error) {
	list, err := s.dao.GetLocationList(issys, orgid)
	return list, err
}

// GetLocationByID 获取详细信息
func (s *MessageServ) GetLocationByID(id string) (*model.TdCmsImageLocation, error) {
	location, err := s.dao.GetLocationById(id)
	return location, err
}

// SaveLocation 保存
func (s *MessageServ) SaveLocation(location model.TdCmsImageLocation) (*model.TdCmsImageLocation, error) {
	if location.LocationId == "" {
		newlocation, err := s.dao.AddLocation(location)
		return newlocation, err
	}
	err := s.dao.UpdateLocation(location)
	return &location, err
}

// DelLocation 删除
func (s *MessageServ) DelLocation(locationID string) error {
	err := s.dao.DelLocation(locationID)
	return err
}
